Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## igeo
Class IDoubleMap

    java.lang.Object
      igeo.IMap
          igeo.IDoubleMap

Direct Known Subclasses:
  IImageMap

    public class IDoubleMap

extends IMap

A subclass of IMap containing 2D array of double to implement a map.

Author:
  Satoru Sugihara

Field Summary
`int` | `height`
`boolean` | `interpolation`
`double[][]` | `map`
`int` | `width`

Fields inherited from class igeo.IMap
`defaultDensityHeight, defaultDensityWidth, defaultExportHeight, defaultExportWidth, densityMinDelta, uIntegration, vIntegration`

Constructor Summary
`IDoubleMap()`
`IDoubleMap(int width, int height)`

Method Summary
`void` | `add(double val)`
`void` | `disableInterpolation()`
`void` | `enableInterpolation()`
`void` | `flipU()` to be defined in sub class
`void` | `flipV()` to be defined in sub class
`double` | `get(double u, double v)` A main method to get a value of the map.
`int` | `getHeight()`
`int` | `getWidth()`
`int` | `height()`
`void` | `initMap(int width, int height)`
`void` | `scale(double factor)`
`void` | `set(int u, int v, double val)`
`void` | `setInterpolation(boolean f)`
`int` | `width()`

Methods inherited from class igeo.IMap
`createImage, createImage, get, initDensityMapU, initDensityMapU, initDensityMapV, initDensityMapV, matchUDensityWithMap, matchUDensityWithMap, matchVDensityWithMap, matchVDensityWithMap, project, projectU, projectV, saveAsJPEG, saveAsJPEG, saveAsPNG, saveAsPNG, scaleDensityMapU, scaleDensityMapV`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### interpolation

    public boolean interpolation

### width

    public int width

### height

    public int height

### map

    public double[][] map

Constructor Detail

### IDoubleMap

    public IDoubleMap()

### IDoubleMap

    public IDoubleMap(int width,
                      int height)

Method Detail

### initMap

    public void initMap(int width,
                        int height)

### width

    public int width()

### getWidth

    public int getWidth()

### height

    public int height()

### getHeight

    public int getHeight()

### set

    public void set(int u,
                    int v,
                    double val)

### setInterpolation

    public void setInterpolation(boolean f)

### enableInterpolation

    public void enableInterpolation()

### disableInterpolation

    public void disableInterpolation()

### get

    public double get(double u,
                      double v)

  Description copied from class: `IMap`
  A main method to get a value of the map. This method should be overwritten by child classes to have preferable behavior returning value of the map ranging 0.0 - 1.0.

  Overrides:
    `get` in class `IMap`
  Parameters:
    `u` - u coordinates ranges 0.0 - 1.0
    `v` - v coordinates ranges 0.0 - 1.0
  Returns:
    value of the map.

### flipU

    public void flipU()

  Description copied from class: `IMap`
  to be defined in sub class

  Overrides:
    `flipU` in class `IMap`

### flipV

    public void flipV()

  Description copied from class: `IMap`
  to be defined in sub class

  Overrides:
    `flipV` in class `IMap`

### scale

    public void scale(double factor)

### add

    public void add(double val)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD